Bug 213018 - net/dhcpcd: dhcpcd rc.d script should not provide nostart keyword
Summary: net/dhcpcd: dhcpcd rc.d script should not provide nostart keyword
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-27 08:45 UTC by roy
Modified: 2018-07-01 21:42 UTC (History)
3 users (show)

See Also:
roy: maintainer-feedback+


Attachments
Remove nostart keyword from dhcpcd rc script (256 bytes, patch)
2016-09-27 08:45 UTC, roy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description roy 2016-09-27 08:45:06 UTC
Created attachment 175193 [details]
Remove nostart keyword from dhcpcd rc script

Hi

When I originally made the dhcpcd rc.d script, I basically used the dhclient script as a template. Today, dhcpcd is very capable of running from rc itself instead of being triggered from a 3rd party and as such the nostart keyword can e safely removed.
Comment 1 Steve Wills freebsd_committer 2017-11-09 22:17:55 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2017-11-09 22:17:57 UTC
A commit references this bug:

Author: swills
Date: Thu Nov  9 22:17:49 UTC 2017
New revision: 453875
URL: https://svnweb.freebsd.org/changeset/ports/453875

Log:
  net/dhcpcd: remove nostart keyword from rc script

  PR:		213018
  Submitted by:	roy@marples.name (maintainer)

Changes:
  head/net/dhcpcd/Makefile
  head/net/dhcpcd/files/dhcpcd.in
Comment 3 Chad Jacob Milios 2018-01-09 02:00:21 UTC
this breaks things. as of the above commit, dhcpcd, if simply installed and left unconfigured (read: not even enabled in rc.conf[.et al]) it will nonetheless start at boot time, call out to DHCP servers on every hot network port and possibly fall back to choosing an ip in the link local subnet, either way, wiping out any static network configurations on those ports.

to fix, you need to add the following two lines into the rc.d/dhcpcd script [at the appropriate places]

rcvar=dhcpcd_enable
: ${dhcpcd_enable="NO"}